Atom feed of this document
 
 
 

 4.4.3. Delete Database

VerbURIDescription
DELETE/instances/{instanceId}/databases/{databaseName}Deletes the specified database.

Normal Response Code(s): 202

Error Response Code(s): badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), unprocessableEntity (422), instanceFault (500), notImplemented (501), serviceUnavailable (503), itemNotFound (404)

This operation deletes the requested database within the specified database instance. Note that all data associated with the database is also deleted.

Table 4.17. Delete Database Request Parameters
NameStyleTypeDescription
accountIdTemplate​String

The account ID of the owner of the specified instance.

instanceIdTemplate​String

The instance ID for the specified database instance.

databaseNameTemplate​String

The name for the specified database.

The following examples show the Delete Database requests:

 

Example 4.57. Delete Database Request: XML

DELETE /v1.0/1234/instances/9cccb45e-e15d-4bcc-aedc-61a4bf3e4ad9/databases/oneMoreDB HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/xml
Content-Type: application/xml



 

Example 4.58. Delete Database Request: JSON

DELETE /v1.0/1234/instances/dcc5c518-73c7-4471-83e1-15fae67a98eb/databases/testingdb HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/json
Content-Type: application/json



This operation does not require a request body.

The following examples show the Delete Database responses:

 

Example 4.59. Delete Database Response: XML

HTTP/1.1 202 Accepted
Content-Type: application/xml
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 0
Date: Wed, 08 May 2013 22:43:34 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)

 

Example 4.60. Delete Database Response: JSON

HTTP/1.1 202 Accepted
Content-Type: application/json
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 0
Date: Wed, 08 May 2013 22:43:34 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)